<button nz-button (click)="addRow()" nzType="primary" *ngIf="currentRole === 'ADMIN'">Add</button>

<nz-table #basicTable [nzData]="listOfData">
    <thead>
      <tr>
        <th>ID</th>
        <th>Brand</th>
        <th>Model</th>
        <th>Color</th>
        <th>Imei</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data">
        <td>{{data.Key}}</td>
        <td>{{ data.Record?.brand }}</td>
        <td>{{ data.Record?.model }}</td>
        <td>{{ data.Record?.color }}</td>
        <td>{{ data.Record?.imei }}</td>
        <td>
          <button nz-button nzType="primary"  (click)="approve(data.Key)"*ngIf="currentRole === 'CLIENT'">Approve</button>
          <nz-divider nzType="vertical"></nz-divider>
          <a>Delete</a>
        </td>
      </tr>
    </tbody>
  </nz-table>

  <nz-modal [(nzVisible)]="isVisible" nzTitle="New Phone" (nzOnCancel)="handleCancel()"  nzFooter= " ">
    <ng-container *nzModalContent>
      <form nz-form [formGroup]="validateForm" (ngSubmit)="submitForm()">
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>ID</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzValidatingTip="Validating..." [nzErrorTip]="userErrorTpl">
            <input type="text" pattern="[0-9]*"   nz-input formControlName="phoneNumber" >
            <ng-template #userErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input Id!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Brand</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzValidatingTip="Validating..." [nzErrorTip]="userErrorTpl">
            <input nz-input formControlName="brand" placeholder="Brand" />
            <ng-template #userErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input Brand!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Model</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback [nzErrorTip]="emailErrorTpl">
            <input nz-input formControlName="model" placeholder="Model"  />
            <ng-template #emailErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input model!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Color</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzErrorTip="Please input color!">
            <input nz-input type="color" formControlName="color"  />
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Imei</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback [nzErrorTip]="passwordErrorTpl">
            <input nz-input type="text" formControlName="imei" placeholder="Please enter imei" />
            <ng-template #passwordErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please enter imei!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-control [nzOffset]="7" [nzSpan]="12">
            <button nz-button nzType="primary" >Submit</button>
          </nz-form-control>
        </nz-form-item>
      </form>
    </ng-container>
  </nz-modal>

  <nz-modal [(nzVisible)]="isVisibleEdit" nzTitle="EditPhone" (nzOnCancel)="handleCancelEdit()"  nzFooter= " ">
    <ng-container *nzModalContent>
      <form nz-form [formGroup]="editForm">
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>ID</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzValidatingTip="Validating..." [nzErrorTip]="userErrorTpl">
            <input readonly type="text" pattern="[0-9]*"   nz-input formControlName="phoneNumber" >
            <ng-template #userErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input Id!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Brand</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzValidatingTip="Validating..." [nzErrorTip]="userErrorTpl">
            <input  readonly nz-input formControlName="brand" placeholder="Brand" />
            <ng-template #userErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input Brand!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Model</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback [nzErrorTip]="emailErrorTpl">
            <input  readonly nz-input formControlName="model" placeholder="Model"  />
            <ng-template #emailErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please input model!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Color</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback nzErrorTip="Please input color!">
            <input  readonly nz-input type="color" formControlName="color"  />
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>Imei</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback [nzErrorTip]="passwordErrorTpl">
            <input  readonly nz-input type="text" formControlName="imei" placeholder="Please enter imei" />
            <ng-template #passwordErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please enter imei!</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired>owner</nz-form-label>
          <nz-form-control [nzSpan]="12" nzHasFeedback [nzErrorTip]="passwordErrorTpl">
            <input readonly nz-input type="text" formControlName="owner" placeholder="" />
            <ng-template #passwordErrorTpl let-control>
              <ng-container *ngIf="control.hasError('required')">Please enter imei</ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-control [nzOffset]="7" [nzSpan]="12">
            <button *ngIf="phone.owner === null || phone.owner === '' || phone.owner === ' '"  nz-button nzType="primary" (click) = "approveOwner()">Approve</button>
            <button nz-button nzType="primary" (click) ="handleCancelEdit()" >Decline</button>
          </nz-form-control>
        </nz-form-item>
      </form>
    </ng-container>
  </nz-modal>